Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class FontShorthandParser

    java.lang.Object
      org.apache.fop.fo.properties.GenericShorthandParser
          org.apache.fop.fo.properties.FontShorthandParser

All Implemented Interfaces:
  ShorthandParser

    public class FontShorthandParser

extends GenericShorthandParser

A shorthand parser for the font shorthand property

Constructor Summary
`FontShorthandParser()`

Method Summary
`Property` | `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser
`convertValueForProperty, getElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontShorthandParser

    public FontShorthandParser()

Method Detail

### getValueForProperty

    public Property getValueForProperty(int propId,
                                        Property property,
                                        PropertyMaker maker,
                                        PropertyList propertyList)
                                 throws PropertyException

  Specified by:
    `getValueForProperty` in interface `ShorthandParser`
  Overrides:
    `getValueForProperty` in class `GenericShorthandParser`
  Parameters:
    `propId` - the property ID in the Constants interface
    `property` - from which value is obtained
    `maker` - Maker object for the Property
    `propertyList` - list of properties
  Returns:
    Property object corresponding to propName
  Throws:
    `PropertyException` - in case a property exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.